.TH C_LIB_INFO 1 "Nov 3 1994" "Stanford University" "SUIF Compiler"
.SH NAME
c_lib_info \- put standard C library information in the symbol table
.SH SYNOPSIS
.B c_lib_info
.I infile
.I outfile
{
.I infile
.I outfile
}*
.SH DESCRIPTION
The
.I c_lib_info
program adds information to the inter-file symbol table of SUIF
programs about the standard C libraries.  Currently, it only attaches
``pure function'' annotations to some proc_syms for library functions,
but it may eventually provide more information about the functions and
variables used by the standard C libraries.
.sp
Note that it is only legal to run this pass if the resulting program
is to be linked to the standard C libraries.
.SH HISTORY
This program was written by Chris Wilson.
